Bug 219541 - devel/py-dateutil: Add new python 3 slave port
Summary: devel/py-dateutil: Add new python 3 slave port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ben Woods
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-25 18:19 UTC by rs.os
Modified: 2017-06-11 05:20 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (koobs)


Attachments
Patch for python3 slave port (1.96 KB, patch)
2017-05-25 18:19 UTC, rs.os
no flags Details | Diff
Portlint output for py3 (512 bytes, text/plain)
2017-05-25 18:20 UTC, rs.os
no flags Details
Portlint output for py2 (279 bytes, text/plain)
2017-05-25 18:20 UTC, rs.os
no flags Details
poudriere log (20.12 KB, text/x-log)
2017-05-25 18:20 UTC, rs.os
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description rs.os 2017-05-25 18:19:48 UTC
Created attachment 182893 [details]
Patch for python3 slave port

Hello,

attached you will find a patch to add a new python 3 slave port. Poudriere build log and portlint (with argument -c for py- and -a for py3-) output is attached as well.

Best
rs.os
Comment 1 rs.os 2017-05-25 18:20:08 UTC
Created attachment 182894 [details]
Portlint output for py3
Comment 2 rs.os 2017-05-25 18:20:23 UTC
Created attachment 182895 [details]
Portlint output for py2
Comment 3 rs.os 2017-05-25 18:20:52 UTC
Created attachment 182896 [details]
poudriere log
Comment 4 Ben Woods freebsd_committer 2017-06-08 14:26:56 UTC
Committed - thanks!
Comment 5 commit-hook freebsd_committer 2017-06-08 14:29:06 UTC
A commit references this bug:

Author: woodsb02
Date: Thu Jun  8 14:28:22 UTC 2017
New revision: 442936
URL: https://svnweb.freebsd.org/changeset/ports/442936

Log:
  [NEW] devel/py3-dateutil: Add Python 3.x version of this port

  PR:		219541
  PR:		219833
  Submitted by:	rs.os <rs.os@t-online.de>

Changes:
  head/devel/Makefile
  head/devel/py-dateutil/Makefile
  head/devel/py3-dateutil/
  head/devel/py3-dateutil/Makefile
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2017-06-11 05:20:10 UTC
@Ben Please assign yourself to issues you intend to resolve (commit/fix), ideally prior to committing the change. For issues where there is an existing assignee (who is maintainer), please also add them to the CC to keep them on the notify list